#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  GMime-3.2.7

- Next

  Grantlee-5.2.0

- Up
- Home

# gobject-introspection-1.66.1

## Introduction to GObject Introspection

The GObject Introspection is used to describe the program APIs and collect them in a uniform, machine readable format.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gobject-introspection/1.66/gobject-introspection-1.66.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gobject-introspection/1.66/gobject-introspection-1.66.1.tar.xz

- Download MD5 sum: f43d661d39ff52d33622cb1854aaaf76

- Download size: 992 KB

- Estimated disk space required: 55 MB (with tests)

- Estimated build time: 0.2 SBU (Using parallelism=4; with tests)

#### Required

GLib-2.66.7

#### Optional

Cairo-1.17.2+f93fc72c03e (required for the tests), Gjs-1.66.2 (to satisfy one test), GTK-Doc-1.33.2, Mako-1.1.4, and Markdown (to satisfy one test)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gobject-introspection

## Installation of GObject Introspection

Install GObject Introspection by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr .. &&
    ninja

To test the results, issue: ninja test -k0. One test (test_docwriter) fails if the optional Markdown module is not installed.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dgtk_doc=true`: Build and install the documentation.

`-Dcairo=enabled`: Use cairo for tests.

`-Ddoctool=enabled`: Install g-ir-doc-tool and run related tests.

## Contents

Installed Program: g-ir-annotation-tool, g-ir-compiler, g-ir-doc-tool, g-ir-generate, g-ir-inspect, and g-ir-scanner
Installed Libraries: libgirepository-1.0.so and _giscanner.cpython-39-<arch>-linux-gnu.so
Installed Directories: /usr/include/gobject-introspection-1.0, /usr/lib/girepository-1.0, /usr/lib/gobject-introspection, /usr/share/gir-1.0, and /usr/share/gobject-introspection-1.0

### Short Descriptions

g-ir-annotation-tool | creates or extracts annotation data from GI typelibs
g-ir-compiler | converts one or more GIR files into one or more typelib
g-ir-doc-tool | generates Mallard files that can be viewed with yelp or rendered to HTML with yelp-build from yelp-tools
g-ir-inspect | is a utility that gives information about a GI typelib
g-ir-generate | is a GIR generator that uses the repository API
g-ir-scanner | is a tool which generates GIR XML files by parsing headers and introspecting GObject based libraries
`libgirepository-1.0.so` | provides an API to access the typelib metadata

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  GMime-3.2.7

- Next

  Grantlee-5.2.0

- Up
- Home